# Glitch

A singleplayer platformer game for Minetest, created for the
2022 Minetest Game Jam by Wuzzy, featuring music by Visager.

You’re One, a bit who’s lost in cyberspace after a mysterious distortion
interrupts a typical data transmission. Can you figure out what caused
this and get back on track?

Explore the System, collect electrons to unlock new sectors, learn new
abilities to become more powerful and maybe you will find the path to
your true destination.

Version: 1.0.1

## System requirements

You need Minetest version 5.6.0 or later to play.
Get Minetest at <https://minetest.net>.


## Basic controls

* Move mouse: Look around
* Place key [right mouse click]: Interact with beings
* Movement keys [WASD]: Slide on flat ground or small slopes
* Aux1 key [E]: Use gateway (hold key pressed)
* Inventory key [I]: Show your electrons and abilities

You will learn more abilities along the way.
Check the tooltips in your inventory for a reminder.

If the music is too loud/quiet, you can change it in the settings.
(`glitch_music_gain`).


## Credits

* Idea, design, coding, graphics, 3D models, sounds effects, story, writing and testing by Wuzzy (2022).
* Music by Visager (2016).

### Track list

All songs from from the album "Songs From An Unmade World 2" by Visager.

- We Can Do It! [Loop]
- Eerie Mausoleum [Loop]
- Welcome Player [Loop]
- The Plateau at Night [Loop]

### Mods

All mods were created by Wuzzy.
Almost all mods were created from scratch specifically for Glitch
during the 2022 Minetest Game Jam.

The following minimal library mod (which previously existed) is used:

* `playerphysics`: Player Physics API (by Wuzzy)

### Licensing

Summary:

* This game is 100% free software! Enjoy. :-)
* Media is CC BY 4.0, by Wuzzy (non-music) and Visager (music)
* Source code is GPL v3.0+, by Wuzzy

#### License for code

Copyright (C) 2022 Wuzzy

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

#### License for the music and other media files

Creative Commons Attribution 4.0 <https://creativecommons.org/licenses/by/4.0/>.

* Author of music: Visager
* Author of other media files (e.g. sounds, graphics, models): Wuzzy
